﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PIbd_24_EredavkinRA_BusBusiness.Entities;

public class RoutSheet
{
    public int Id { get; private set; }
    public int DriverId { get; private set; }
    public int ConductorId { get; private set; }
    public int RoutId { get; private set; }

    public IEnumerable<RoutSheetBus> RoutSheetBus { get; private set; } = [];

    public DateTime BusDate { get; private set; }
    public static RoutSheet CreatOpeartion(int id, int driverid, int conductorid, int routid, DateTime busDate, IEnumerable<RoutSheetBus> RoutSheetBus)
    {
        return new RoutSheet
        {
            Id = id,
            DriverId = driverid,
            ConductorId = conductorid,
            RoutId = routid,
            RoutSheetBus = RoutSheetBus,
            BusDate = busDate,
        };
    }
}
